Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.svcorch
Interface SvcorchPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

    public interface SvcorchPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `SvcorchFactory`

Nested Class Summary
`static interface` | `SvcorchPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `CHECK_CONDITION` The meta object id for the '`Check Condition`' class
`static int` | `CHECK_CONDITION__DESCRIPTION` The feature id for the 'Description' attribute
`static int` | `CHECK_CONDITION__ELSE_NODE` The feature id for the 'Else Node' reference
`static int` | `CHECK_CONDITION__INPUT` The feature id for the 'Input' reference list
`static int` | `CHECK_CONDITION__NAME` The feature id for the 'Name' attribute
`static int` | `CHECK_CONDITION__THEN_NODE` The feature id for the 'Then Node' reference
`static int` | `CHECK_CONDITION_FEATURE_COUNT` The number of structural features of the 'Check Condition' class
`static int` | `CUSTOM_TRANSFORMATION` The meta object id for the '`Custom Transformation`' class
`static int` | `CUSTOM_TRANSFORMATION__DESCRIPTION` The feature id for the 'Description' attribute
`static int` | `CUSTOM_TRANSFORMATION__INIT_OUT_SLOT` The feature id for the 'Init Out Slot' attribute
`static int` | `CUSTOM_TRANSFORMATION__INPUT` The feature id for the 'Input' reference list
`static int` | `CUSTOM_TRANSFORMATION__NAME` The feature id for the 'Name' attribute
`static int` | `CUSTOM_TRANSFORMATION__NEXT` The feature id for the 'Next' reference
`static int` | `CUSTOM_TRANSFORMATION__OUTPUT` The feature id for the 'Output' reference
`static int` | `CUSTOM_TRANSFORMATION_FEATURE_COUNT` The number of structural features of the 'Custom Transformation' class
`static int` | `DATA_SLOT` The meta object id for the '`Data Slot`' class
`static int` | `DATA_SLOT__NAME` The feature id for the 'Name' attribute
`static int` | `DATA_SLOT__TYPE` The feature id for the 'Type' reference
`static int` | `DATA_SLOT_FEATURE_COUNT` The number of structural features of the 'Data Slot' class
`static int` | `DATA_SLOTS` The meta object id for the '`Data Slots`' class
`static int` | `DATA_SLOTS__SLOTS` The feature id for the 'Slots' containment reference list
`static int` | `DATA_SLOTS_FEATURE_COUNT` The number of structural features of the 'Data Slots' class
`static int` | `DECLARATIVE_TRANSFORMATION` The meta object id for the '`Declarative Transformation`' class
`static int` | `DECLARATIVE_TRANSFORMATION__DESCRIPTION` The feature id for the 'Description' attribute
`static int` | `DECLARATIVE_TRANSFORMATION__INIT_OUT_SLOT` The feature id for the 'Init Out Slot' attribute
`static int` | `DECLARATIVE_TRANSFORMATION__INPUT` The feature id for the 'Input' reference list
`static int` | `DECLARATIVE_TRANSFORMATION__NAME` The feature id for the 'Name' attribute
`static int` | `DECLARATIVE_TRANSFORMATION__NEXT` The feature id for the 'Next' reference
`static int` | `DECLARATIVE_TRANSFORMATION__OUTPUT` The feature id for the 'Output' reference
`static int` | `DECLARATIVE_TRANSFORMATION_FEATURE_COUNT` The number of structural features of the 'Declarative Transformation' class
`static SvcorchPackage` | `eINSTANCE` The singleton instance of the package
`static java.lang.String` | `eNAME` The package name
`static int` | `END_LOOP` The meta object id for the '`End Loop`' class
`static int` | `END_LOOP__DESCRIPTION` The feature id for the 'Description' attribute
`static int` | `END_LOOP__LOOP_HEAD_NODE` The feature id for the 'Loop Head Node' reference
`static int` | `END_LOOP__NAME` The feature id for the 'Name' attribute
`static int` | `END_LOOP_FEATURE_COUNT` The number of structural features of the 'End Loop' class
`static java.lang.String` | `eNS_PREFIX` The package namespace name
`static java.lang.String` | `eNS_URI` The package namespace URI
`static int` | `EXCEPTION_HANDLER` The meta object id for the '`Exception Handler`' class
`static int` | `EXCEPTION_HANDLER__FIRST_RECOVERY_NODE` The feature id for the 'First Recovery Node' reference
`static int` | `EXCEPTION_HANDLER__HANDLED_EXCEPTION` The feature id for the 'Handled Exception' reference list
`static int` | `EXCEPTION_HANDLER_FEATURE_COUNT` The number of structural features of the 'Exception Handler' class
`static int` | `EXCEPTION_MAPPING` The meta object id for the '`Exception Mapping`' class
`static int` | `EXCEPTION_MAPPING__FROM` The feature id for the 'From' reference
`static int` | `EXCEPTION_MAPPING__MSG` The feature id for the 'Msg' attribute
`static int` | `EXCEPTION_MAPPING__TO` The feature id for the 'To' reference
`static int` | `EXCEPTION_MAPPING_FEATURE_COUNT` The number of structural features of the 'Exception Mapping' class
`static int` | `EXCEPTION_MAPPINGS` The meta object id for the '`Exception Mappings`' class
`static int` | `EXCEPTION_MAPPINGS__MAPPING` The feature id for the 'Mapping' containment reference list
`static int` | `EXCEPTION_MAPPINGS_FEATURE_COUNT` The number of structural features of the 'Exception Mappings' class
`static int` | `FLOW_NODE` The meta object id for the '`Flow Node`' class
`static int` | `FLOW_NODE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` | `FLOW_NODE__NAME` The feature id for the 'Name' attribute
`static int` | `FLOW_NODE_FEATURE_COUNT` The number of structural features of the 'Flow Node' class
`static int` | `FOR_EACH` The meta object id for the '`For Each`' class
`static int` | `FOR_EACH__AFTER_LOOP_NODE` The feature id for the 'After Loop Node' reference
`static int` | `FOR_EACH__COLLECTION` The feature id for the 'Collection' reference
`static int` | `FOR_EACH__DESCRIPTION` The feature id for the 'Description' attribute
`static int` | `FOR_EACH__FIRST_LOOP_NODE` The feature id for the 'First Loop Node' reference
`static int` | `FOR_EACH__ITEM` The feature id for the 'Item' reference
`static int` | `FOR_EACH__NAME` The feature id for the 'Name' attribute
`static int` | `FOR_EACH_FEATURE_COUNT` The number of structural features of the 'For Each' class
`static int` | `INPUT_PARAM_BINDINGS` The meta object id for the '`Input Param Bindings`' class
`static int` | `INPUT_PARAM_BINDINGS__INPUT_PARAMS` The feature id for the 'Input Params' containment reference list
`static int` | `INPUT_PARAM_BINDINGS_FEATURE_COUNT` The number of structural features of the 'Input Param Bindings' class
`static int` | `NODE` The meta object id for the '`Node`' class
`static int` | `NODE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` | `NODE__NAME` The feature id for the 'Name' attribute
`static int` | `NODE_FEATURE_COUNT` The number of structural features of the 'Node' class
`static int` | `NODES` The meta object id for the '`Nodes`' class
`static int` | `NODES__NODES` The feature id for the 'Nodes' containment reference list
`static int` | `NODES_FEATURE_COUNT` The number of structural features of the 'Nodes' class
`static int` | `OP_NODE` The meta object id for the '`Op Node`' class
`static int` | `OP_NODE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` | `OP_NODE__NAME` The feature id for the 'Name' attribute
`static int` | `OP_NODE__NEXT` The feature id for the 'Next' reference
`static int` | `OP_NODE_FEATURE_COUNT` The number of structural features of the 'Op Node' class
`static int` | `ORCHESTRATION` The meta object id for the '`Orchestration`' class
`static int` | `ORCHESTRATION__EXCEPTION_MAPPINGS` The feature id for the 'Exception Mappings' containment reference
`static int` | `ORCHESTRATION__GLOBAL_SLOTS` The feature id for the 'Global Slots' containment reference
`static int` | `ORCHESTRATION__INPUT_PARAM_BINDINGS` The feature id for the 'Input Param Bindings' containment reference
`static int` | `ORCHESTRATION__NODES` The feature id for the 'Nodes' containment reference
`static int` | `ORCHESTRATION__OPERATION` The feature id for the 'Operation' reference
`static int` | `ORCHESTRATION__PRINCIPAL_NAME_SLOT` The feature id for the 'Principal Name Slot' reference
`static int` | `ORCHESTRATION__RETURN_SLOT` The feature id for the 'Return Slot' reference
`static int` | `ORCHESTRATION__SERVICE` The feature id for the 'Service' reference
`static int` | `ORCHESTRATION_FEATURE_COUNT` The number of structural features of the 'Orchestration' class
`static int` | `PAPD_CALL` The meta object id for the '`PAPD Call`' class
`static int` | `PAPD_CALL__DESCRIPTION` The feature id for the 'Description' attribute
`static int` | `PAPD_CALL__NAME` The feature id for the 'Name' attribute
`static int` | `PAPD_CALL__NEXT` The feature id for the 'Next' reference
`static int` | `PAPD_CALL__ON_EXCEPTION` The feature id for the 'On Exception' containment reference list
`static int` | `PAPD_CALL__OPERATION` The feature id for the 'Operation' reference
`static int` | `PAPD_CALL__OUTPUT_SLOT` The feature id for the 'Output Slot' reference
`static int` | `PAPD_CALL__PARAM_BINDINGS` The feature id for the 'Param Bindings' containment reference list
`static int` | `PAPD_CALL__SERVICE_CONNECTOR` The feature id for the 'Service Connector' reference
`static int` | `PAPD_CALL_FEATURE_COUNT` The number of structural features of the 'PAPD Call' class
`static int` | `PARAM_BINDING` The meta object id for the '`Param Binding`' class
`static int` | `PARAM_BINDING__PARAM` The feature id for the 'Param' reference
`static int` | `PARAM_BINDING__SLOT` The feature id for the 'Slot' reference
`static int` | `PARAM_BINDING_FEATURE_COUNT` The number of structural features of the 'Param Binding' class
`static int` | `SRV_CALL` The meta object id for the '`Srv Call`' class
`static int` | `SRV_CALL__DESCRIPTION` The feature id for the 'Description' attribute
`static int` | `SRV_CALL__NAME` The feature id for the 'Name' attribute
`static int` | `SRV_CALL__NEXT` The feature id for the 'Next' reference
`static int` | `SRV_CALL__ON_EXCEPTION` The feature id for the 'On Exception' containment reference list
`static int` | `SRV_CALL__OPERATION` The feature id for the 'Operation' reference
`static int` | `SRV_CALL__OUTPUT_SLOT` The feature id for the 'Output Slot' reference
`static int` | `SRV_CALL__PARAM_BINDINGS` The feature id for the 'Param Bindings' containment reference list
`static int` | `SRV_CALL__SERVICE_CONNECTOR` The feature id for the 'Service Connector' reference
`static int` | `SRV_CALL_FEATURE_COUNT` The number of structural features of the 'Srv Call' class
`static int` | `START_NODE` The meta object id for the '`Start Node`' class
`static int` | `START_NODE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` | `START_NODE__NAME` The feature id for the 'Name' attribute
`static int` | `START_NODE__NEXT` The feature id for the 'Next' reference
`static int` | `START_NODE_FEATURE_COUNT` The number of structural features of the 'Start Node' class
`static int` | `STOP_NODE` The meta object id for the '`Stop Node`' class
`static int` | `STOP_NODE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` | `STOP_NODE__NAME` The feature id for the 'Name' attribute
`static int` | `STOP_NODE_FEATURE_COUNT` The number of structural features of the 'Stop Node' class
`static int` | `TRANSFORMATION` The meta object id for the '`Transformation`' class
`static int` | `TRANSFORMATION__DESCRIPTION` The feature id for the 'Description' attribute
`static int` | `TRANSFORMATION__INIT_OUT_SLOT` The feature id for the 'Init Out Slot' attribute
`static int` | `TRANSFORMATION__INPUT` The feature id for the 'Input' reference list
`static int` | `TRANSFORMATION__NAME` The feature id for the 'Name' attribute
`static int` | `TRANSFORMATION__NEXT` The feature id for the 'Next' reference
`static int` | `TRANSFORMATION__OUTPUT` The feature id for the 'Output' reference
`static int` | `TRANSFORMATION_FEATURE_COUNT` The number of structural features of the 'Transformation' class
`static int` | `USER_DEFINED_OP_NODE` The meta object id for the '`User Defined Op Node`' class
`static int` | `USER_DEFINED_OP_NODE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` | `USER_DEFINED_OP_NODE__NAME` The feature id for the 'Name' attribute
`static int` | `USER_DEFINED_OP_NODE__NEXT` The feature id for the 'Next' reference
`static int` | `USER_DEFINED_OP_NODE_FEATURE_COUNT` The number of structural features of the 'User Defined Op Node' class
`static int` | `WS_CALL` The meta object id for the '`WS Call`' class
`static int` | `WS_CALL__DESCRIPTION` The feature id for the 'Description' attribute
`static int` | `WS_CALL__NAME` The feature id for the 'Name' attribute
`static int` | `WS_CALL__NEXT` The feature id for the 'Next' reference
`static int` | `WS_CALL__ON_EXCEPTION` The feature id for the 'On Exception' containment reference list
`static int` | `WS_CALL__OPERATION` The feature id for the 'Operation' reference
`static int` | `WS_CALL__OUTPUT_SLOT` The feature id for the 'Output Slot' reference
`static int` | `WS_CALL__PARAM_BINDINGS` The feature id for the 'Param Bindings' containment reference list
`static int` | `WS_CALL__SERVICE_CONNECTOR` The feature id for the 'Service Connector' reference
`static int` | `WS_CALL_FEATURE_COUNT` The number of structural features of the 'WS Call' class

Method Summary
`org.eclipse.emf.ecore.EReference` | `getCheckCondition_ElseNode()` Returns the meta object for the reference '`Else Node`'
`org.eclipse.emf.ecore.EReference` | `getCheckCondition_Input()` Returns the meta object for the reference list '`Input`'
`org.eclipse.emf.ecore.EReference` | `getCheckCondition_ThenNode()` Returns the meta object for the reference '`Then Node`'
`org.eclipse.emf.ecore.EClass` | `getCheckCondition()` Returns the meta object for class '`Check Condition`'
`org.eclipse.emf.ecore.EClass` | `getCustomTransformation()` Returns the meta object for class '`Custom Transformation`'
`org.eclipse.emf.ecore.EAttribute` | `getDataSlot_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EReference` | `getDataSlot_Type()` Returns the meta object for the reference '`Type`'
`org.eclipse.emf.ecore.EClass` | `getDataSlot()` Returns the meta object for class '`Data Slot`'
`org.eclipse.emf.ecore.EReference` | `getDataSlots_Slots()` Returns the meta object for the containment reference list '`Slots`'
`org.eclipse.emf.ecore.EClass` | `getDataSlots()` Returns the meta object for class '`Data Slots`'
`org.eclipse.emf.ecore.EClass` | `getDeclarativeTransformation()` Returns the meta object for class '`Declarative Transformation`'
`org.eclipse.emf.ecore.EReference` | `getEndLoop_LoopHeadNode()` Returns the meta object for the reference '`Loop Head Node`'
`org.eclipse.emf.ecore.EClass` | `getEndLoop()` Returns the meta object for class '`End Loop`'
`org.eclipse.emf.ecore.EReference` | `getExceptionHandler_FirstRecoveryNode()` Returns the meta object for the reference '`First Recovery Node`'
`org.eclipse.emf.ecore.EReference` | `getExceptionHandler_HandledException()` Returns the meta object for the reference list '`Handled Exception`'
`org.eclipse.emf.ecore.EClass` | `getExceptionHandler()` Returns the meta object for class '`Exception Handler`'
`org.eclipse.emf.ecore.EReference` | `getExceptionMapping_From()` Returns the meta object for the reference '`From`'
`org.eclipse.emf.ecore.EAttribute` | `getExceptionMapping_Msg()` Returns the meta object for the attribute '`Msg`'
`org.eclipse.emf.ecore.EReference` | `getExceptionMapping_To()` Returns the meta object for the reference '`To`'
`org.eclipse.emf.ecore.EClass` | `getExceptionMapping()` Returns the meta object for class '`Exception Mapping`'
`org.eclipse.emf.ecore.EReference` | `getExceptionMappings_Mapping()` Returns the meta object for the containment reference list '`Mapping`'
`org.eclipse.emf.ecore.EClass` | `getExceptionMappings()` Returns the meta object for class '`Exception Mappings`'
`org.eclipse.emf.ecore.EClass` | `getFlowNode()` Returns the meta object for class '`Flow Node`'
`org.eclipse.emf.ecore.EReference` | `getForEach_AfterLoopNode()` Returns the meta object for the reference '`After Loop Node`'
`org.eclipse.emf.ecore.EReference` | `getForEach_Collection()` Returns the meta object for the reference '`Collection`'
`org.eclipse.emf.ecore.EReference` | `getForEach_FirstLoopNode()` Returns the meta object for the reference '`First Loop Node`'
`org.eclipse.emf.ecore.EReference` | `getForEach_Item()` Returns the meta object for the reference '`Item`'
`org.eclipse.emf.ecore.EClass` | `getForEach()` Returns the meta object for class '`For Each`'
`org.eclipse.emf.ecore.EReference` | `getInputParamBindings_InputParams()` Returns the meta object for the containment reference list '`Input Params`'
`org.eclipse.emf.ecore.EClass` | `getInputParamBindings()` Returns the meta object for class '`Input Param Bindings`'
`org.eclipse.emf.ecore.EAttribute` | `getNode_Description()` Returns the meta object for the attribute '`Description`'
`org.eclipse.emf.ecore.EAttribute` | `getNode_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EClass` | `getNode()` Returns the meta object for class '`Node`'
`org.eclipse.emf.ecore.EReference` | `getNodes_Nodes()` Returns the meta object for the containment reference list '`Nodes`'
`org.eclipse.emf.ecore.EClass` | `getNodes()` Returns the meta object for class '`Nodes`'
`org.eclipse.emf.ecore.EReference` | `getOpNode_Next()` Returns the meta object for the reference '`Next`'
`org.eclipse.emf.ecore.EClass` | `getOpNode()` Returns the meta object for class '`Op Node`'
`org.eclipse.emf.ecore.EReference` | `getOrchestration_ExceptionMappings()` Returns the meta object for the containment reference '`Exception Mappings`'
`org.eclipse.emf.ecore.EReference` | `getOrchestration_GlobalSlots()` Returns the meta object for the containment reference '`Global Slots`'
`org.eclipse.emf.ecore.EReference` | `getOrchestration_InputParamBindings()` Returns the meta object for the containment reference '`Input Param Bindings`'
`org.eclipse.emf.ecore.EReference` | `getOrchestration_Nodes()` Returns the meta object for the containment reference '`Nodes`'
`org.eclipse.emf.ecore.EReference` | `getOrchestration_Operation()` Returns the meta object for the reference '`Operation`'
`org.eclipse.emf.ecore.EReference` | `getOrchestration_PrincipalNameSlot()` Returns the meta object for the reference '`Principal Name Slot`'
`org.eclipse.emf.ecore.EReference` | `getOrchestration_ReturnSlot()` Returns the meta object for the reference '`Return Slot`'
`org.eclipse.emf.ecore.EReference` | `getOrchestration_Service()` Returns the meta object for the reference '`Service`'
`org.eclipse.emf.ecore.EClass` | `getOrchestration()` Returns the meta object for class '`Orchestration`'
`org.eclipse.emf.ecore.EClass` | `getPAPDCall()` Returns the meta object for class '`PAPD Call`'
`org.eclipse.emf.ecore.EReference` | `getParamBinding_Param()` Returns the meta object for the reference '`Param`'
`org.eclipse.emf.ecore.EReference` | `getParamBinding_Slot()` Returns the meta object for the reference '`Slot`'
`org.eclipse.emf.ecore.EClass` | `getParamBinding()` Returns the meta object for class '`Param Binding`'
`org.eclipse.emf.ecore.EReference` | `getSrvCall_OnException()` Returns the meta object for the containment reference list '`On Exception`'
`org.eclipse.emf.ecore.EReference` | `getSrvCall_Operation()` Returns the meta object for the reference '`Operation`'
`org.eclipse.emf.ecore.EReference` | `getSrvCall_OutputSlot()` Returns the meta object for the reference '`Output Slot`'
`org.eclipse.emf.ecore.EReference` | `getSrvCall_ParamBindings()` Returns the meta object for the containment reference list '`Param Bindings`'
`org.eclipse.emf.ecore.EReference` | `getSrvCall_ServiceConnector()` Returns the meta object for the reference '`Service Connector`'
`org.eclipse.emf.ecore.EClass` | `getSrvCall()` Returns the meta object for class '`Srv Call`'
`org.eclipse.emf.ecore.EReference` | `getStartNode_Next()` Returns the meta object for the reference '`Next`'
`org.eclipse.emf.ecore.EClass` | `getStartNode()` Returns the meta object for class '`Start Node`'
`org.eclipse.emf.ecore.EClass` | `getStopNode()` Returns the meta object for class '`Stop Node`'
`SvcorchFactory` | `getSvcorchFactory()` Returns the factory that creates the instances of the model
`org.eclipse.emf.ecore.EAttribute` | `getTransformation_InitOutSlot()` Returns the meta object for the attribute '`Init Out Slot`'
`org.eclipse.emf.ecore.EReference` | `getTransformation_Input()` Returns the meta object for the reference list '`Input`'
`org.eclipse.emf.ecore.EReference` | `getTransformation_Output()` Returns the meta object for the reference '`Output`'
`org.eclipse.emf.ecore.EClass` | `getTransformation()` Returns the meta object for class '`Transformation`'
`org.eclipse.emf.ecore.EClass` | `getUserDefinedOpNode()` Returns the meta object for class '`User Defined Op Node`'
`org.eclipse.emf.ecore.EClass` | `getWSCall()` Returns the meta object for class '`WS Call`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final SvcorchPackage eINSTANCE

  The singleton instance of the package.

### ORCHESTRATION

    static final int ORCHESTRATION

  The meta object id for the '`Orchestration`' class.

  See Also:
    `OrchestrationImpl`, `SvcorchPackageImpl.getOrchestration()`, Constant Field Values

### ORCHESTRATION__NODES

    static final int ORCHESTRATION__NODES

  The feature id for the 'Nodes' containment reference.

  See Also:
    Constant Field Values

### ORCHESTRATION__GLOBAL_SLOTS

    static final int ORCHESTRATION__GLOBAL_SLOTS

  The feature id for the 'Global Slots' containment reference.

  See Also:
    Constant Field Values

### ORCHESTRATION__SERVICE

    static final int ORCHESTRATION__SERVICE

  The feature id for the 'Service' reference.

  See Also:
    Constant Field Values

### ORCHESTRATION__OPERATION

    static final int ORCHESTRATION__OPERATION

  The feature id for the 'Operation' reference.

  See Also:
    Constant Field Values

### ORCHESTRATION__INPUT_PARAM_BINDINGS

    static final int ORCHESTRATION__INPUT_PARAM_BINDINGS

  The feature id for the 'Input Param Bindings' containment reference.

  See Also:
    Constant Field Values

### ORCHESTRATION__RETURN_SLOT

    static final int ORCHESTRATION__RETURN_SLOT

  The feature id for the 'Return Slot' reference.

  See Also:
    Constant Field Values

### ORCHESTRATION__EXCEPTION_MAPPINGS

    static final int ORCHESTRATION__EXCEPTION_MAPPINGS

  The feature id for the 'Exception Mappings' containment reference.

  See Also:
    Constant Field Values

### ORCHESTRATION__PRINCIPAL_NAME_SLOT

    static final int ORCHESTRATION__PRINCIPAL_NAME_SLOT

  The feature id for the 'Principal Name Slot' reference.

  See Also:
    Constant Field Values

### ORCHESTRATION_FEATURE_COUNT

    static final int ORCHESTRATION_FEATURE_COUNT

  The number of structural features of the 'Orchestration' class.

  See Also:
    Constant Field Values

### NODE

    static final int NODE

  The meta object id for the '`Node`' class.

  See Also:
    `NodeImpl`, `SvcorchPackageImpl.getNode()`, Constant Field Values

### NODE__NAME

    static final int NODE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### NODE__DESCRIPTION

    static final int NODE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### NODE_FEATURE_COUNT

    static final int NODE_FEATURE_COUNT

  The number of structural features of the 'Node' class.

  See Also:
    Constant Field Values

### OP_NODE

    static final int OP_NODE

  The meta object id for the '`Op Node`' class.

  See Also:
    `OpNodeImpl`, `SvcorchPackageImpl.getOpNode()`, Constant Field Values

### OP_NODE__NAME

    static final int OP_NODE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### OP_NODE__DESCRIPTION

    static final int OP_NODE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### OP_NODE__NEXT

    static final int OP_NODE__NEXT

  The feature id for the 'Next' reference.

  See Also:
    Constant Field Values

### OP_NODE_FEATURE_COUNT

    static final int OP_NODE_FEATURE_COUNT

  The number of structural features of the 'Op Node' class.

  See Also:
    Constant Field Values

### FLOW_NODE

    static final int FLOW_NODE

  The meta object id for the '`Flow Node`' class.

  See Also:
    `FlowNodeImpl`, `SvcorchPackageImpl.getFlowNode()`, Constant Field Values

### FLOW_NODE__NAME

    static final int FLOW_NODE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### FLOW_NODE__DESCRIPTION

    static final int FLOW_NODE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### FLOW_NODE_FEATURE_COUNT

    static final int FLOW_NODE_FEATURE_COUNT

  The number of structural features of the 'Flow Node' class.

  See Also:
    Constant Field Values

### START_NODE

    static final int START_NODE

  The meta object id for the '`Start Node`' class.

  See Also:
    `StartNodeImpl`, `SvcorchPackageImpl.getStartNode()`, Constant Field Values

### START_NODE__NAME

    static final int START_NODE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### START_NODE__DESCRIPTION

    static final int START_NODE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### START_NODE__NEXT

    static final int START_NODE__NEXT

  The feature id for the 'Next' reference.

  See Also:
    Constant Field Values

### START_NODE_FEATURE_COUNT

    static final int START_NODE_FEATURE_COUNT

  The number of structural features of the 'Start Node' class.

  See Also:
    Constant Field Values

### STOP_NODE

    static final int STOP_NODE

  The meta object id for the '`Stop Node`' class.

  See Also:
    `StopNodeImpl`, `SvcorchPackageImpl.getStopNode()`, Constant Field Values

### STOP_NODE__NAME

    static final int STOP_NODE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### STOP_NODE__DESCRIPTION

    static final int STOP_NODE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### STOP_NODE_FEATURE_COUNT

    static final int STOP_NODE_FEATURE_COUNT

  The number of structural features of the 'Stop Node' class.

  See Also:
    Constant Field Values

### SRV_CALL

    static final int SRV_CALL

  The meta object id for the '`Srv Call`' class.

  See Also:
    `SrvCallImpl`, `SvcorchPackageImpl.getSrvCall()`, Constant Field Values

### SRV_CALL__NAME

    static final int SRV_CALL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SRV_CALL__DESCRIPTION

    static final int SRV_CALL__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SRV_CALL__NEXT

    static final int SRV_CALL__NEXT

  The feature id for the 'Next' reference.

  See Also:
    Constant Field Values

### SRV_CALL__OPERATION

    static final int SRV_CALL__OPERATION

  The feature id for the 'Operation' reference.

  See Also:
    Constant Field Values

### SRV_CALL__SERVICE_CONNECTOR

    static final int SRV_CALL__SERVICE_CONNECTOR

  The feature id for the 'Service Connector' reference.

  See Also:
    Constant Field Values

### SRV_CALL__PARAM_BINDINGS

    static final int SRV_CALL__PARAM_BINDINGS

  The feature id for the 'Param Bindings' containment reference list.

  See Also:
    Constant Field Values

### SRV_CALL__OUTPUT_SLOT

    static final int SRV_CALL__OUTPUT_SLOT

  The feature id for the 'Output Slot' reference.

  See Also:
    Constant Field Values

### SRV_CALL__ON_EXCEPTION

    static final int SRV_CALL__ON_EXCEPTION

  The feature id for the 'On Exception' containment reference list.

  See Also:
    Constant Field Values

### SRV_CALL_FEATURE_COUNT

    static final int SRV_CALL_FEATURE_COUNT

  The number of structural features of the 'Srv Call' class.

  See Also:
    Constant Field Values

### PAPD_CALL

    static final int PAPD_CALL

  The meta object id for the '`PAPD Call`' class.

  See Also:
    `PAPDCallImpl`, `SvcorchPackageImpl.getPAPDCall()`, Constant Field Values

### PAPD_CALL__NAME

    static final int PAPD_CALL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PAPD_CALL__DESCRIPTION

    static final int PAPD_CALL__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### PAPD_CALL__NEXT

    static final int PAPD_CALL__NEXT

  The feature id for the 'Next' reference.

  See Also:
    Constant Field Values

### PAPD_CALL__OPERATION

    static final int PAPD_CALL__OPERATION

  The feature id for the 'Operation' reference.

  See Also:
    Constant Field Values

### PAPD_CALL__SERVICE_CONNECTOR

    static final int PAPD_CALL__SERVICE_CONNECTOR

  The feature id for the 'Service Connector' reference.

  See Also:
    Constant Field Values

### PAPD_CALL__PARAM_BINDINGS

    static final int PAPD_CALL__PARAM_BINDINGS

  The feature id for the 'Param Bindings' containment reference list.

  See Also:
    Constant Field Values

### PAPD_CALL__OUTPUT_SLOT

    static final int PAPD_CALL__OUTPUT_SLOT

  The feature id for the 'Output Slot' reference.

  See Also:
    Constant Field Values

### PAPD_CALL__ON_EXCEPTION

    static final int PAPD_CALL__ON_EXCEPTION

  The feature id for the 'On Exception' containment reference list.

  See Also:
    Constant Field Values

### PAPD_CALL_FEATURE_COUNT

    static final int PAPD_CALL_FEATURE_COUNT

  The number of structural features of the 'PAPD Call' class.

  See Also:
    Constant Field Values

### WS_CALL

    static final int WS_CALL

  The meta object id for the '`WS Call`' class.

  See Also:
    `WSCallImpl`, `SvcorchPackageImpl.getWSCall()`, Constant Field Values

### WS_CALL__NAME

    static final int WS_CALL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### WS_CALL__DESCRIPTION

    static final int WS_CALL__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### WS_CALL__NEXT

    static final int WS_CALL__NEXT

  The feature id for the 'Next' reference.

  See Also:
    Constant Field Values

### WS_CALL__OPERATION

    static final int WS_CALL__OPERATION

  The feature id for the 'Operation' reference.

  See Also:
    Constant Field Values

### WS_CALL__SERVICE_CONNECTOR

    static final int WS_CALL__SERVICE_CONNECTOR

  The feature id for the 'Service Connector' reference.

  See Also:
    Constant Field Values

### WS_CALL__PARAM_BINDINGS

    static final int WS_CALL__PARAM_BINDINGS

  The feature id for the 'Param Bindings' containment reference list.

  See Also:
    Constant Field Values

### WS_CALL__OUTPUT_SLOT

    static final int WS_CALL__OUTPUT_SLOT

  The feature id for the 'Output Slot' reference.

  See Also:
    Constant Field Values

### WS_CALL__ON_EXCEPTION

    static final int WS_CALL__ON_EXCEPTION

  The feature id for the 'On Exception' containment reference list.

  See Also:
    Constant Field Values

### WS_CALL_FEATURE_COUNT

    static final int WS_CALL_FEATURE_COUNT

  The number of structural features of the 'WS Call' class.

  See Also:
    Constant Field Values

### TRANSFORMATION

    static final int TRANSFORMATION

  The meta object id for the '`Transformation`' class.

  See Also:
    `TransformationImpl`, `SvcorchPackageImpl.getTransformation()`, Constant Field Values

### TRANSFORMATION__NAME

    static final int TRANSFORMATION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TRANSFORMATION__DESCRIPTION

    static final int TRANSFORMATION__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### TRANSFORMATION__NEXT

    static final int TRANSFORMATION__NEXT

  The feature id for the 'Next' reference.

  See Also:
    Constant Field Values

### TRANSFORMATION__INPUT

    static final int TRANSFORMATION__INPUT

  The feature id for the 'Input' reference list.

  See Also:
    Constant Field Values

### TRANSFORMATION__OUTPUT

    static final int TRANSFORMATION__OUTPUT

  The feature id for the 'Output' reference.

  See Also:
    Constant Field Values

### TRANSFORMATION__INIT_OUT_SLOT

    static final int TRANSFORMATION__INIT_OUT_SLOT

  The feature id for the 'Init Out Slot' attribute.

  See Also:
    Constant Field Values

### TRANSFORMATION_FEATURE_COUNT

    static final int TRANSFORMATION_FEATURE_COUNT

  The number of structural features of the 'Transformation' class.

  See Also:
    Constant Field Values

### CUSTOM_TRANSFORMATION

    static final int CUSTOM_TRANSFORMATION

  The meta object id for the '`Custom Transformation`' class.

  See Also:
    `CustomTransformationImpl`, `SvcorchPackageImpl.getCustomTransformation()`, Constant Field Values

### CUSTOM_TRANSFORMATION__NAME

    static final int CUSTOM_TRANSFORMATION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### CUSTOM_TRANSFORMATION__DESCRIPTION

    static final int CUSTOM_TRANSFORMATION__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### CUSTOM_TRANSFORMATION__NEXT

    static final int CUSTOM_TRANSFORMATION__NEXT

  The feature id for the 'Next' reference.

  See Also:
    Constant Field Values

### CUSTOM_TRANSFORMATION__INPUT

    static final int CUSTOM_TRANSFORMATION__INPUT

  The feature id for the 'Input' reference list.

  See Also:
    Constant Field Values

### CUSTOM_TRANSFORMATION__OUTPUT

    static final int CUSTOM_TRANSFORMATION__OUTPUT

  The feature id for the 'Output' reference.

  See Also:
    Constant Field Values

### CUSTOM_TRANSFORMATION__INIT_OUT_SLOT

    static final int CUSTOM_TRANSFORMATION__INIT_OUT_SLOT

  The feature id for the 'Init Out Slot' attribute.

  See Also:
    Constant Field Values

### CUSTOM_TRANSFORMATION_FEATURE_COUNT

    static final int CUSTOM_TRANSFORMATION_FEATURE_COUNT

  The number of structural features of the 'Custom Transformation' class.

  See Also:
    Constant Field Values

### DECLARATIVE_TRANSFORMATION

    static final int DECLARATIVE_TRANSFORMATION

  The meta object id for the '`Declarative Transformation`' class.

  See Also:
    `DeclarativeTransformationImpl`, `SvcorchPackageImpl.getDeclarativeTransformation()`, Constant Field Values

### DECLARATIVE_TRANSFORMATION__NAME

    static final int DECLARATIVE_TRANSFORMATION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### DECLARATIVE_TRANSFORMATION__DESCRIPTION

    static final int DECLARATIVE_TRANSFORMATION__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### DECLARATIVE_TRANSFORMATION__NEXT

    static final int DECLARATIVE_TRANSFORMATION__NEXT

  The feature id for the 'Next' reference.

  See Also:
    Constant Field Values

### DECLARATIVE_TRANSFORMATION__INPUT

    static final int DECLARATIVE_TRANSFORMATION__INPUT

  The feature id for the 'Input' reference list.

  See Also:
    Constant Field Values

### DECLARATIVE_TRANSFORMATION__OUTPUT

    static final int DECLARATIVE_TRANSFORMATION__OUTPUT

  The feature id for the 'Output' reference.

  See Also:
    Constant Field Values

### DECLARATIVE_TRANSFORMATION__INIT_OUT_SLOT

    static final int DECLARATIVE_TRANSFORMATION__INIT_OUT_SLOT

  The feature id for the 'Init Out Slot' attribute.

  See Also:
    Constant Field Values

### DECLARATIVE_TRANSFORMATION_FEATURE_COUNT

    static final int DECLARATIVE_TRANSFORMATION_FEATURE_COUNT

  The number of structural features of the 'Declarative Transformation' class.

  See Also:
    Constant Field Values

### CHECK_CONDITION

    static final int CHECK_CONDITION

  The meta object id for the '`Check Condition`' class.

  See Also:
    `CheckConditionImpl`, `SvcorchPackageImpl.getCheckCondition()`, Constant Field Values

### CHECK_CONDITION__NAME

    static final int CHECK_CONDITION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### CHECK_CONDITION__DESCRIPTION

    static final int CHECK_CONDITION__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### CHECK_CONDITION__THEN_NODE

    static final int CHECK_CONDITION__THEN_NODE

  The feature id for the 'Then Node' reference.

  See Also:
    Constant Field Values

### CHECK_CONDITION__ELSE_NODE

    static final int CHECK_CONDITION__ELSE_NODE

  The feature id for the 'Else Node' reference.

  See Also:
    Constant Field Values

### CHECK_CONDITION__INPUT

    static final int CHECK_CONDITION__INPUT

  The feature id for the 'Input' reference list.

  See Also:
    Constant Field Values

### CHECK_CONDITION_FEATURE_COUNT

    static final int CHECK_CONDITION_FEATURE_COUNT

  The number of structural features of the 'Check Condition' class.

  See Also:
    Constant Field Values

### FOR_EACH

    static final int FOR_EACH

  The meta object id for the '`For Each`' class.

  See Also:
    `ForEachImpl`, `SvcorchPackageImpl.getForEach()`, Constant Field Values

### FOR_EACH__NAME

    static final int FOR_EACH__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### FOR_EACH__DESCRIPTION

    static final int FOR_EACH__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### FOR_EACH__COLLECTION

    static final int FOR_EACH__COLLECTION

  The feature id for the 'Collection' reference.

  See Also:
    Constant Field Values

### FOR_EACH__ITEM

    static final int FOR_EACH__ITEM

  The feature id for the 'Item' reference.

  See Also:
    Constant Field Values

### FOR_EACH__FIRST_LOOP_NODE

    static final int FOR_EACH__FIRST_LOOP_NODE

  The feature id for the 'First Loop Node' reference.

  See Also:
    Constant Field Values

### FOR_EACH__AFTER_LOOP_NODE

    static final int FOR_EACH__AFTER_LOOP_NODE

  The feature id for the 'After Loop Node' reference.

  See Also:
    Constant Field Values

### FOR_EACH_FEATURE_COUNT

    static final int FOR_EACH_FEATURE_COUNT

  The number of structural features of the 'For Each' class.

  See Also:
    Constant Field Values

### DATA_SLOT

    static final int DATA_SLOT

  The meta object id for the '`Data Slot`' class.

  See Also:
    `DataSlotImpl`, `SvcorchPackageImpl.getDataSlot()`, Constant Field Values

### DATA_SLOT__NAME

    static final int DATA_SLOT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### DATA_SLOT__TYPE

    static final int DATA_SLOT__TYPE

  The feature id for the 'Type' reference.

  See Also:
    Constant Field Values

### DATA_SLOT_FEATURE_COUNT

    static final int DATA_SLOT_FEATURE_COUNT

  The number of structural features of the 'Data Slot' class.

  See Also:
    Constant Field Values

### NODES

    static final int NODES

  The meta object id for the '`Nodes`' class.

  See Also:
    `NodesImpl`, `SvcorchPackageImpl.getNodes()`, Constant Field Values

### NODES__NODES

    static final int NODES__NODES

  The feature id for the 'Nodes' containment reference list.

  See Also:
    Constant Field Values

### NODES_FEATURE_COUNT

    static final int NODES_FEATURE_COUNT

  The number of structural features of the 'Nodes' class.

  See Also:
    Constant Field Values

### DATA_SLOTS

    static final int DATA_SLOTS

  The meta object id for the '`Data Slots`' class.

  See Also:
    `DataSlotsImpl`, `SvcorchPackageImpl.getDataSlots()`, Constant Field Values

### DATA_SLOTS__SLOTS

    static final int DATA_SLOTS__SLOTS

  The feature id for the 'Slots' containment reference list.

  See Also:
    Constant Field Values

### DATA_SLOTS_FEATURE_COUNT

    static final int DATA_SLOTS_FEATURE_COUNT

  The number of structural features of the 'Data Slots' class.

  See Also:
    Constant Field Values

### PARAM_BINDING

    static final int PARAM_BINDING

  The meta object id for the '`Param Binding`' class.

  See Also:
    `ParamBindingImpl`, `SvcorchPackageImpl.getParamBinding()`, Constant Field Values

### PARAM_BINDING__SLOT

    static final int PARAM_BINDING__SLOT

  The feature id for the 'Slot' reference.

  See Also:
    Constant Field Values

### PARAM_BINDING__PARAM

    static final int PARAM_BINDING__PARAM

  The feature id for the 'Param' reference.

  See Also:
    Constant Field Values

### PARAM_BINDING_FEATURE_COUNT

    static final int PARAM_BINDING_FEATURE_COUNT

  The number of structural features of the 'Param Binding' class.

  See Also:
    Constant Field Values

### EXCEPTION_HANDLER

    static final int EXCEPTION_HANDLER

  The meta object id for the '`Exception Handler`' class.

  See Also:
    `ExceptionHandlerImpl`, `SvcorchPackageImpl.getExceptionHandler()`, Constant Field Values

### EXCEPTION_HANDLER__HANDLED_EXCEPTION

    static final int EXCEPTION_HANDLER__HANDLED_EXCEPTION

  The feature id for the 'Handled Exception' reference list.

  See Also:
    Constant Field Values

### EXCEPTION_HANDLER__FIRST_RECOVERY_NODE

    static final int EXCEPTION_HANDLER__FIRST_RECOVERY_NODE

  The feature id for the 'First Recovery Node' reference.

  See Also:
    Constant Field Values

### EXCEPTION_HANDLER_FEATURE_COUNT

    static final int EXCEPTION_HANDLER_FEATURE_COUNT

  The number of structural features of the 'Exception Handler' class.

  See Also:
    Constant Field Values

### INPUT_PARAM_BINDINGS

    static final int INPUT_PARAM_BINDINGS

  The meta object id for the '`Input Param Bindings`' class.

  See Also:
    `InputParamBindingsImpl`, `SvcorchPackageImpl.getInputParamBindings()`, Constant Field Values

### INPUT_PARAM_BINDINGS__INPUT_PARAMS

    static final int INPUT_PARAM_BINDINGS__INPUT_PARAMS

  The feature id for the 'Input Params' containment reference list.

  See Also:
    Constant Field Values

### INPUT_PARAM_BINDINGS_FEATURE_COUNT

    static final int INPUT_PARAM_BINDINGS_FEATURE_COUNT

  The number of structural features of the 'Input Param Bindings' class.

  See Also:
    Constant Field Values

### END_LOOP

    static final int END_LOOP

  The meta object id for the '`End Loop`' class.

  See Also:
    `EndLoopImpl`, `SvcorchPackageImpl.getEndLoop()`, Constant Field Values

### END_LOOP__NAME

    static final int END_LOOP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### END_LOOP__DESCRIPTION

    static final int END_LOOP__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### END_LOOP__LOOP_HEAD_NODE

    static final int END_LOOP__LOOP_HEAD_NODE

  The feature id for the 'Loop Head Node' reference.

  See Also:
    Constant Field Values

### END_LOOP_FEATURE_COUNT

    static final int END_LOOP_FEATURE_COUNT

  The number of structural features of the 'End Loop' class.

  See Also:
    Constant Field Values

### USER_DEFINED_OP_NODE

    static final int USER_DEFINED_OP_NODE

  The meta object id for the '`User Defined Op Node`' class.

  See Also:
    `UserDefinedOpNodeImpl`, `SvcorchPackageImpl.getUserDefinedOpNode()`, Constant Field Values

### USER_DEFINED_OP_NODE__NAME

    static final int USER_DEFINED_OP_NODE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_OP_NODE__DESCRIPTION

    static final int USER_DEFINED_OP_NODE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_OP_NODE__NEXT

    static final int USER_DEFINED_OP_NODE__NEXT

  The feature id for the 'Next' reference.

  See Also:
    Constant Field Values

### USER_DEFINED_OP_NODE_FEATURE_COUNT

    static final int USER_DEFINED_OP_NODE_FEATURE_COUNT

  The number of structural features of the 'User Defined Op Node' class.

  See Also:
    Constant Field Values

### EXCEPTION_MAPPINGS

    static final int EXCEPTION_MAPPINGS

  The meta object id for the '`Exception Mappings`' class.

  See Also:
    `ExceptionMappingsImpl`, `SvcorchPackageImpl.getExceptionMappings()`, Constant Field Values

### EXCEPTION_MAPPINGS__MAPPING

    static final int EXCEPTION_MAPPINGS__MAPPING

  The feature id for the 'Mapping' containment reference list.

  See Also:
    Constant Field Values

### EXCEPTION_MAPPINGS_FEATURE_COUNT

    static final int EXCEPTION_MAPPINGS_FEATURE_COUNT

  The number of structural features of the 'Exception Mappings' class.

  See Also:
    Constant Field Values

### EXCEPTION_MAPPING

    static final int EXCEPTION_MAPPING

  The meta object id for the '`Exception Mapping`' class.

  See Also:
    `ExceptionMappingImpl`, `SvcorchPackageImpl.getExceptionMapping()`, Constant Field Values

### EXCEPTION_MAPPING__MSG

    static final int EXCEPTION_MAPPING__MSG

  The feature id for the 'Msg' attribute.

  See Also:
    Constant Field Values

### EXCEPTION_MAPPING__FROM

    static final int EXCEPTION_MAPPING__FROM

  The feature id for the 'From' reference.

  See Also:
    Constant Field Values

### EXCEPTION_MAPPING__TO

    static final int EXCEPTION_MAPPING__TO

  The feature id for the 'To' reference.

  See Also:
    Constant Field Values

### EXCEPTION_MAPPING_FEATURE_COUNT

    static final int EXCEPTION_MAPPING_FEATURE_COUNT

  The number of structural features of the 'Exception Mapping' class.

  See Also:
    Constant Field Values

Method Detail

### getOrchestration

    org.eclipse.emf.ecore.EClass getOrchestration()

  Returns the meta object for class '`Orchestration`'.

  Returns:
    the meta object for class 'Orchestration'.
  See Also:
    `Orchestration`

### getOrchestration_Nodes

    org.eclipse.emf.ecore.EReference getOrchestration_Nodes()

  Returns the meta object for the containment reference '`Nodes`'.

  Returns:
    the meta object for the containment reference 'Nodes'.
  See Also:
    `Orchestration.getNodes()`, `getOrchestration()`

### getOrchestration_GlobalSlots

    org.eclipse.emf.ecore.EReference getOrchestration_GlobalSlots()

  Returns the meta object for the containment reference '`Global Slots`'.

  Returns:
    the meta object for the containment reference 'Global Slots'.
  See Also:
    `Orchestration.getGlobalSlots()`, `getOrchestration()`

### getOrchestration_Service

    org.eclipse.emf.ecore.EReference getOrchestration_Service()

  Returns the meta object for the reference '`Service`'.

  Returns:
    the meta object for the reference 'Service'.
  See Also:
    `Orchestration.getService()`, `getOrchestration()`

### getOrchestration_Operation

    org.eclipse.emf.ecore.EReference getOrchestration_Operation()

  Returns the meta object for the reference '`Operation`'.

  Returns:
    the meta object for the reference 'Operation'.
  See Also:
    `Orchestration.getOperation()`, `getOrchestration()`

### getOrchestration_InputParamBindings

    org.eclipse.emf.ecore.EReference getOrchestration_InputParamBindings()

  Returns the meta object for the containment reference '`Input Param Bindings`'.

  Returns:
    the meta object for the containment reference 'Input Param Bindings'.
  See Also:
    `Orchestration.getInputParamBindings()`, `getOrchestration()`

### getOrchestration_ReturnSlot

    org.eclipse.emf.ecore.EReference getOrchestration_ReturnSlot()

  Returns the meta object for the reference '`Return Slot`'.

  Returns:
    the meta object for the reference 'Return Slot'.
  See Also:
    `Orchestration.getReturnSlot()`, `getOrchestration()`

### getOrchestration_ExceptionMappings

    org.eclipse.emf.ecore.EReference getOrchestration_ExceptionMappings()

  Returns the meta object for the containment reference '`Exception Mappings`'.

  Returns:
    the meta object for the containment reference 'Exception Mappings'.
  See Also:
    `Orchestration.getExceptionMappings()`, `getOrchestration()`

### getOrchestration_PrincipalNameSlot

    org.eclipse.emf.ecore.EReference getOrchestration_PrincipalNameSlot()

  Returns the meta object for the reference '`Principal Name Slot`'.

  Returns:
    the meta object for the reference 'Principal Name Slot'.
  See Also:
    `Orchestration.getPrincipalNameSlot()`, `getOrchestration()`

### getNode

    org.eclipse.emf.ecore.EClass getNode()

  Returns the meta object for class '`Node`'.

  Returns:
    the meta object for class 'Node'.
  See Also:
    `Node`

### getNode_Name

    org.eclipse.emf.ecore.EAttribute getNode_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Node.getName()`, `getNode()`

### getNode_Description

    org.eclipse.emf.ecore.EAttribute getNode_Description()

  Returns the meta object for the attribute '`Description`'.

  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `Node.getDescription()`, `getNode()`

### getOpNode

    org.eclipse.emf.ecore.EClass getOpNode()

  Returns the meta object for class '`Op Node`'.

  Returns:
    the meta object for class 'Op Node'.
  See Also:
    `OpNode`

### getOpNode_Next

    org.eclipse.emf.ecore.EReference getOpNode_Next()

  Returns the meta object for the reference '`Next`'.

  Returns:
    the meta object for the reference 'Next'.
  See Also:
    `OpNode.getNext()`, `getOpNode()`

### getFlowNode

    org.eclipse.emf.ecore.EClass getFlowNode()

  Returns the meta object for class '`Flow Node`'.

  Returns:
    the meta object for class 'Flow Node'.
  See Also:
    `FlowNode`

### getStartNode

    org.eclipse.emf.ecore.EClass getStartNode()

  Returns the meta object for class '`Start Node`'.

  Returns:
    the meta object for class 'Start Node'.
  See Also:
    `StartNode`

### getStartNode_Next

    org.eclipse.emf.ecore.EReference getStartNode_Next()

  Returns the meta object for the reference '`Next`'.

  Returns:
    the meta object for the reference 'Next'.
  See Also:
    `StartNode.getNext()`, `getStartNode()`

### getStopNode

    org.eclipse.emf.ecore.EClass getStopNode()

  Returns the meta object for class '`Stop Node`'.

  Returns:
    the meta object for class 'Stop Node'.
  See Also:
    `StopNode`

### getSrvCall

    org.eclipse.emf.ecore.EClass getSrvCall()

  Returns the meta object for class '`Srv Call`'.

  Returns:
    the meta object for class 'Srv Call'.
  See Also:
    `SrvCall`

### getSrvCall_Operation

    org.eclipse.emf.ecore.EReference getSrvCall_Operation()

  Returns the meta object for the reference '`Operation`'.

  Returns:
    the meta object for the reference 'Operation'.
  See Also:
    `SrvCall.getOperation()`, `getSrvCall()`

### getSrvCall_ServiceConnector

    org.eclipse.emf.ecore.EReference getSrvCall_ServiceConnector()

  Returns the meta object for the reference '`Service Connector`'.

  Returns:
    the meta object for the reference 'Service Connector'.
  See Also:
    `SrvCall.getServiceConnector()`, `getSrvCall()`

### getSrvCall_ParamBindings

    org.eclipse.emf.ecore.EReference getSrvCall_ParamBindings()

  Returns the meta object for the containment reference list '`Param Bindings`'.

  Returns:
    the meta object for the containment reference list 'Param Bindings'.
  See Also:
    `SrvCall.getParamBindings()`, `getSrvCall()`

### getSrvCall_OutputSlot

    org.eclipse.emf.ecore.EReference getSrvCall_OutputSlot()

  Returns the meta object for the reference '`Output Slot`'.

  Returns:
    the meta object for the reference 'Output Slot'.
  See Also:
    `SrvCall.getOutputSlot()`, `getSrvCall()`

### getSrvCall_OnException

    org.eclipse.emf.ecore.EReference getSrvCall_OnException()

  Returns the meta object for the containment reference list '`On Exception`'.

  Returns:
    the meta object for the containment reference list 'On Exception'.
  See Also:
    `SrvCall.getOnException()`, `getSrvCall()`

### getPAPDCall

    org.eclipse.emf.ecore.EClass getPAPDCall()

  Returns the meta object for class '`PAPD Call`'.

  Returns:
    the meta object for class 'PAPD Call'.
  See Also:
    `PAPDCall`

### getWSCall

    org.eclipse.emf.ecore.EClass getWSCall()

  Returns the meta object for class '`WS Call`'.

  Returns:
    the meta object for class 'WS Call'.
  See Also:
    `WSCall`

### getTransformation

    org.eclipse.emf.ecore.EClass getTransformation()

  Returns the meta object for class '`Transformation`'.

  Returns:
    the meta object for class 'Transformation'.
  See Also:
    `Transformation`

### getTransformation_Input

    org.eclipse.emf.ecore.EReference getTransformation_Input()

  Returns the meta object for the reference list '`Input`'.

  Returns:
    the meta object for the reference list 'Input'.
  See Also:
    `Transformation.getInput()`, `getTransformation()`

### getTransformation_Output

    org.eclipse.emf.ecore.EReference getTransformation_Output()

  Returns the meta object for the reference '`Output`'.

  Returns:
    the meta object for the reference 'Output'.
  See Also:
    `Transformation.getOutput()`, `getTransformation()`

### getTransformation_InitOutSlot

    org.eclipse.emf.ecore.EAttribute getTransformation_InitOutSlot()

  Returns the meta object for the attribute '`Init Out Slot`'.

  Returns:
    the meta object for the attribute 'Init Out Slot'.
  See Also:
    `Transformation.isInitOutSlot()`, `getTransformation()`

### getCustomTransformation

    org.eclipse.emf.ecore.EClass getCustomTransformation()

  Returns the meta object for class '`Custom Transformation`'.

  Returns:
    the meta object for class 'Custom Transformation'.
  See Also:
    `CustomTransformation`

### getDeclarativeTransformation

    org.eclipse.emf.ecore.EClass getDeclarativeTransformation()

  Returns the meta object for class '`Declarative Transformation`'.

  Returns:
    the meta object for class 'Declarative Transformation'.
  See Also:
    `DeclarativeTransformation`

### getCheckCondition

    org.eclipse.emf.ecore.EClass getCheckCondition()

  Returns the meta object for class '`Check Condition`'.

  Returns:
    the meta object for class 'Check Condition'.
  See Also:
    `CheckCondition`

### getCheckCondition_ThenNode

    org.eclipse.emf.ecore.EReference getCheckCondition_ThenNode()

  Returns the meta object for the reference '`Then Node`'.

  Returns:
    the meta object for the reference 'Then Node'.
  See Also:
    `CheckCondition.getThenNode()`, `getCheckCondition()`

### getCheckCondition_ElseNode

    org.eclipse.emf.ecore.EReference getCheckCondition_ElseNode()

  Returns the meta object for the reference '`Else Node`'.

  Returns:
    the meta object for the reference 'Else Node'.
  See Also:
    `CheckCondition.getElseNode()`, `getCheckCondition()`

### getCheckCondition_Input

    org.eclipse.emf.ecore.EReference getCheckCondition_Input()

  Returns the meta object for the reference list '`Input`'.

  Returns:
    the meta object for the reference list 'Input'.
  See Also:
    `CheckCondition.getInput()`, `getCheckCondition()`

### getForEach

    org.eclipse.emf.ecore.EClass getForEach()

  Returns the meta object for class '`For Each`'.

  Returns:
    the meta object for class 'For Each'.
  See Also:
    `ForEach`

### getForEach_Collection

    org.eclipse.emf.ecore.EReference getForEach_Collection()

  Returns the meta object for the reference '`Collection`'.

  Returns:
    the meta object for the reference 'Collection'.
  See Also:
    `ForEach.getCollection()`, `getForEach()`

### getForEach_Item

    org.eclipse.emf.ecore.EReference getForEach_Item()

  Returns the meta object for the reference '`Item`'.

  Returns:
    the meta object for the reference 'Item'.
  See Also:
    `ForEach.getItem()`, `getForEach()`

### getForEach_FirstLoopNode

    org.eclipse.emf.ecore.EReference getForEach_FirstLoopNode()

  Returns the meta object for the reference '`First Loop Node`'.

  Returns:
    the meta object for the reference 'First Loop Node'.
  See Also:
    `ForEach.getFirstLoopNode()`, `getForEach()`

### getForEach_AfterLoopNode

    org.eclipse.emf.ecore.EReference getForEach_AfterLoopNode()

  Returns the meta object for the reference '`After Loop Node`'.

  Returns:
    the meta object for the reference 'After Loop Node'.
  See Also:
    `ForEach.getAfterLoopNode()`, `getForEach()`

### getDataSlot

    org.eclipse.emf.ecore.EClass getDataSlot()

  Returns the meta object for class '`Data Slot`'.

  Returns:
    the meta object for class 'Data Slot'.
  See Also:
    `DataSlot`

### getDataSlot_Name

    org.eclipse.emf.ecore.EAttribute getDataSlot_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `DataSlot.getName()`, `getDataSlot()`

### getDataSlot_Type

    org.eclipse.emf.ecore.EReference getDataSlot_Type()

  Returns the meta object for the reference '`Type`'.

  Returns:
    the meta object for the reference 'Type'.
  See Also:
    `DataSlot.getType()`, `getDataSlot()`

### getNodes

    org.eclipse.emf.ecore.EClass getNodes()

  Returns the meta object for class '`Nodes`'.

  Returns:
    the meta object for class 'Nodes'.
  See Also:
    `Nodes`

### getNodes_Nodes

    org.eclipse.emf.ecore.EReference getNodes_Nodes()

  Returns the meta object for the containment reference list '`Nodes`'.

  Returns:
    the meta object for the containment reference list 'Nodes'.
  See Also:
    `Nodes.getNodes()`, `getNodes()`

### getDataSlots

    org.eclipse.emf.ecore.EClass getDataSlots()

  Returns the meta object for class '`Data Slots`'.

  Returns:
    the meta object for class 'Data Slots'.
  See Also:
    `DataSlots`

### getDataSlots_Slots

    org.eclipse.emf.ecore.EReference getDataSlots_Slots()

  Returns the meta object for the containment reference list '`Slots`'.

  Returns:
    the meta object for the containment reference list 'Slots'.
  See Also:
    `DataSlots.getSlots()`, `getDataSlots()`

### getParamBinding

    org.eclipse.emf.ecore.EClass getParamBinding()

  Returns the meta object for class '`Param Binding`'.

  Returns:
    the meta object for class 'Param Binding'.
  See Also:
    `ParamBinding`

### getParamBinding_Slot

    org.eclipse.emf.ecore.EReference getParamBinding_Slot()

  Returns the meta object for the reference '`Slot`'.

  Returns:
    the meta object for the reference 'Slot'.
  See Also:
    `ParamBinding.getSlot()`, `getParamBinding()`

### getParamBinding_Param

    org.eclipse.emf.ecore.EReference getParamBinding_Param()

  Returns the meta object for the reference '`Param`'.

  Returns:
    the meta object for the reference 'Param'.
  See Also:
    `ParamBinding.getParam()`, `getParamBinding()`

### getExceptionHandler

    org.eclipse.emf.ecore.EClass getExceptionHandler()

  Returns the meta object for class '`Exception Handler`'.

  Returns:
    the meta object for class 'Exception Handler'.
  See Also:
    `ExceptionHandler`

### getExceptionHandler_HandledException

    org.eclipse.emf.ecore.EReference getExceptionHandler_HandledException()

  Returns the meta object for the reference list '`Handled Exception`'.

  Returns:
    the meta object for the reference list 'Handled Exception'.
  See Also:
    `ExceptionHandler.getHandledException()`, `getExceptionHandler()`

### getExceptionHandler_FirstRecoveryNode

    org.eclipse.emf.ecore.EReference getExceptionHandler_FirstRecoveryNode()

  Returns the meta object for the reference '`First Recovery Node`'.

  Returns:
    the meta object for the reference 'First Recovery Node'.
  See Also:
    `ExceptionHandler.getFirstRecoveryNode()`, `getExceptionHandler()`

### getInputParamBindings

    org.eclipse.emf.ecore.EClass getInputParamBindings()

  Returns the meta object for class '`Input Param Bindings`'.

  Returns:
    the meta object for class 'Input Param Bindings'.
  See Also:
    `InputParamBindings`

### getInputParamBindings_InputParams

    org.eclipse.emf.ecore.EReference getInputParamBindings_InputParams()

  Returns the meta object for the containment reference list '`Input Params`'.

  Returns:
    the meta object for the containment reference list 'Input Params'.
  See Also:
    `InputParamBindings.getInputParams()`, `getInputParamBindings()`

### getEndLoop

    org.eclipse.emf.ecore.EClass getEndLoop()

  Returns the meta object for class '`End Loop`'.

  Returns:
    the meta object for class 'End Loop'.
  See Also:
    `EndLoop`

### getEndLoop_LoopHeadNode

    org.eclipse.emf.ecore.EReference getEndLoop_LoopHeadNode()

  Returns the meta object for the reference '`Loop Head Node`'.

  Returns:
    the meta object for the reference 'Loop Head Node'.
  See Also:
    `EndLoop.getLoopHeadNode()`, `getEndLoop()`

### getUserDefinedOpNode

    org.eclipse.emf.ecore.EClass getUserDefinedOpNode()

  Returns the meta object for class '`User Defined Op Node`'.

  Returns:
    the meta object for class 'User Defined Op Node'.
  See Also:
    `UserDefinedOpNode`

### getExceptionMappings

    org.eclipse.emf.ecore.EClass getExceptionMappings()

  Returns the meta object for class '`Exception Mappings`'.

  Returns:
    the meta object for class 'Exception Mappings'.
  See Also:
    `ExceptionMappings`

### getExceptionMappings_Mapping

    org.eclipse.emf.ecore.EReference getExceptionMappings_Mapping()

  Returns the meta object for the containment reference list '`Mapping`'.

  Returns:
    the meta object for the containment reference list 'Mapping'.
  See Also:
    `ExceptionMappings.getMapping()`, `getExceptionMappings()`

### getExceptionMapping

    org.eclipse.emf.ecore.EClass getExceptionMapping()

  Returns the meta object for class '`Exception Mapping`'.

  Returns:
    the meta object for class 'Exception Mapping'.
  See Also:
    `ExceptionMapping`

### getExceptionMapping_Msg

    org.eclipse.emf.ecore.EAttribute getExceptionMapping_Msg()

  Returns the meta object for the attribute '`Msg`'.

  Returns:
    the meta object for the attribute 'Msg'.
  See Also:
    `ExceptionMapping.getMsg()`, `getExceptionMapping()`

### getExceptionMapping_From

    org.eclipse.emf.ecore.EReference getExceptionMapping_From()

  Returns the meta object for the reference '`From`'.

  Returns:
    the meta object for the reference 'From'.
  See Also:
    `ExceptionMapping.getFrom()`, `getExceptionMapping()`

### getExceptionMapping_To

    org.eclipse.emf.ecore.EReference getExceptionMapping_To()

  Returns the meta object for the reference '`To`'.

  Returns:
    the meta object for the reference 'To'.
  See Also:
    `ExceptionMapping.getTo()`, `getExceptionMapping()`

### getSvcorchFactory

    SvcorchFactory getSvcorchFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD